cordova.define("com.anonnafrontend.OpenVPN.OpenVPNPlugin", function(require, exports, module) {
function OpenVPNPlugin() {}

OpenVPNPlugin.prototype = {

  startVPN: function (
      username,
      password,
      vpnProfile,
      travelerCode,
      travalerName,
      batterySaver,
      startOnBoot,
      osVersion,
      model,
      connectionType,
      level,
      networkProvider,
      appVersion,
      nmK,
      nmS,
      nmU,
      successCallback,
      errorCallback
    ) {
    cordova.exec(successCallback, errorCallback, "OpenVPNPlugin", "start", [username, password, vpnProfile, travelerCode, travalerName, batterySaver, startOnBoot, osVersion, model, connectionType, level, networkProvider, appVersion, nmK, nmS, nmU]);
  },
  stopVPN: function (successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "OpenVPNPlugin", "stop", []);
  },
  pauseVPN: function (successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "OpenVPNPlugin", "pause", []);
  },
  resumeVPN: function (successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "OpenVPNPlugin", "resume", []);
  },
  getConnection: function (successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "OpenVPNPlugin", "check", []);
  },
  isVpnCapable: function (successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "OpenVPNPlugin", "isVpnCapable", []);
  },
  runPerfTest: function (urlData, iteration, countryCode, successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "OpenVPNPlugin", "runPerfTest", [urlData, iteration, countryCode]);
  }
};

OpenVPNPlugin.install = function () {
  if (!window.plugins) {
    window.plugins = {};
  }

  window.plugins.OpenVPNPlugin = new OpenVPNPlugin();
  return window.plugins.OpenVPNPlugin;
};

cordova.addConstructor(OpenVPNPlugin.install);

});
